/*!
 * @file turret.h
*/


#ifndef _TURRET_H
#define _TURRET_H

#include "weapon.h"

#include "glgui_bar.h"

class Turret : public Weapon
  {
  public:
    Turret ();
    Turret(const TiXmlElement* root);
    virtual ~Turret ();

    void init();
    void loadParams(const TiXmlElement* root);

    virtual void activate();
    virtual void deactivate();

    virtual void tick(float dt);
    virtual void fire();
    virtual void destroy();


  private:
    GLGuiBar*    bar;
    GLGuiBar*    loadedBar;
  };

#endif /* _TURRET_H */
